org.apache.pdfbox.util

## Class XMLUtil

- java.lang.Object
- - org.apache.pdfbox.util.XMLUtil

    public final class XMLUtil
    extends Object

This class with handle some simple XML operations.

Author:
  Ben Litchfield

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getNodeValue(Element node)` This will get the text value of an element.
`static Document` `parse(InputStream is)` This will parse an XML stream and create a DOM document.
`static Document` `parse(InputStream is, boolean nsAware)` This will parse an XML stream and create a DOM document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static Document parse(InputStream is)
                          throws IOException

This will parse an XML stream and create a DOM document.

Parameters:
  `is` - The stream to get the XML from.
Returns:
  The DOM document.
Throws:
  `IOException` - It there is an error creating the dom.

#### parse

    public static Document parse(InputStream is,
                                 boolean nsAware)
                          throws IOException

This will parse an XML stream and create a DOM document.

Parameters:
  `is` - The stream to get the XML from.
  `nsAware` - activates namespace awareness of the parser
Returns:
  The DOM document.
Throws:
  `IOException` - It there is an error creating the dom.

#### getNodeValue

    public static String getNodeValue(Element node)

This will get the text value of an element.

Parameters:
  `node` - The node to get the text value for.
Returns:
  The text of the node.